<template>
  <div
    class="fixed bottom-0 left-0 right-0 bg-white rounded-t-xl py-5 px-5 text-center w-full z-50 shadow-md"
  >
    <div class="font-semibold mb-4 text-[18px]">Buka Halosis di...</div>
    <hr class="mb-4" />
    <div class="flex flex-col gap-4">
      <div class="flex flex-row justify-between items-center">
        <div class="flex flex-row items-center">
          <img src="/redirect-halosis.png" class="w-7 h-6" alt="Halosis" />
          <div class="ps-2 font-medium text-sm">Halosis</div>
        </div>
        <button
          class="w-24 bg-primary text-white px-4 py-2 rounded-full text-xs font-medium"
          @click="openApp"
        >
          Buka App
        </button>
      </div>

      <div class="flex flex-row justify-between items-center">
        <div class="flex flex-row items-center">
          <img src="/globe.svg" class="w-6 h-6" alt="Browser" />
          <div class="ps-3 font-medium text-sm">Browser</div>
        </div>
        <button
          class="w-24 bg-blue-500 text-white px-4 py-2 rounded-full text-xs font-medium"
          @click="continueInBrowser"
        >
          Lanjut
        </button>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { useGeneralStore } from '../../stores/general'

const generalStore = useGeneralStore()

const openApp = (): void => {
  window.open('https://halosis.page.link/open-app', '_blank')
}

const continueInBrowser = (): void => {
  generalStore.isShowRedirectToMobile = false
}

const handleOverlayClick = (): void => {
  generalStore.isShowRedirectToMobile = false
}
</script>

<style scoped>
html,
body {
  height: 100%;
  overflow: hidden;
}

</style>
